package org.jvnet.hifaces.convert;

import java.text.DateFormat;
import java.text.SimpleDateFormat;

public class TimeDateConverter extends AbstractDateConverter {

	private static final String CONVERSION_MESSAGE_ID = "org.jvnet.hifaces.convert.TimeDateConverter.CONVERSION";

	public static final String CONVERTER_ID = "org.jvnet.hifaces.TimeDate";

	public static final String PATTERN = "HH:mm:ss";

	protected String getConversionMessageId() {
		return CONVERSION_MESSAGE_ID;
	}

	protected DateFormat getDateFormat() {
		return new SimpleDateFormat(PATTERN);
	}
}