package org.jvnet.hifaces.util;

import java.util.Collection;

import javax.faces.component.UIComponent;
import javax.faces.component.html.HtmlPanelGrid;
import javax.faces.component.html.HtmlPanelGroup;

public class PanelUtils {

	private PanelUtils() {

	}

	public static HtmlPanelGrid createPanelGrid() {
		final HtmlPanelGrid panelGrid = new HtmlPanelGrid();
		IdUtils.assignId(panelGrid);
		return panelGrid;
	}

	public static HtmlPanelGroup createPanelGroup() {
		final HtmlPanelGroup panelGroup = new HtmlPanelGroup();
		IdUtils.assignId(panelGroup);
		return panelGroup;
	}

	public static HtmlPanelGroup createPanelGroup(UIComponent... components) {
		return ComponentUtils.addChildren(PanelUtils.createPanelGroup(),
				components);
	}

	public static HtmlPanelGroup createPanelGroup(Collection<UIComponent> components) {
		return ComponentUtils.addChildren(PanelUtils.createPanelGroup(),
				components);
	}
}
